Package Details: mercury 22.01.3-1

Git Clone URL: https://aur.archlinux.org/mercury.git (read-only, click to copy)
Package Base: mercury
Description: The mercury language compiler.
Upstream URL: http://www.mercurylang.org/
Licenses: GPL
Submitter: Tetsumi
Maintainer: aperez
Last Packager: aperez
Votes: 9
Popularity: 0.000002
First Submitted: 2015-09-22 16:11 (UTC)
Last Updated: 2022-09-06 08:47 (UTC)

Latest Comments

1 2 Next › Last »

seifferth commented on 2022-09-05 15:45 (UTC)

Hi everyone,

I am currently not using Arch as my daily driver anymore, so I'm putting bower and mercury up for adoption.

Best

Frank

seifferth commented on 2021-06-05 15:44 (UTC)

Thanks @serxxx. I added the option and it seems to compile fine again.

serxxx commented on 2021-06-03 14:12 (UTC)

GCC 11 introduced new warnings that cause the build to fail. Per https://github.com/Mercury-Language/mercury/issues/94, the fix is this:

echo "EXTRA_CFLAGS += -Wno-error=array-parameter" >> Mmake.params

seifferth commented on 2020-08-29 13:17 (UTC)

Actually, it looks like my previous orphan request never arrived. I just resubmitted it and took the liberty of adopting this package and updating the PKGBUILD.

lewisbrown: If you still want to take over, I'd be happy to pass the package along again, or to add you as a Co-Maintainer.

seifferth commented on 2020-08-09 17:17 (UTC)

lewisbrown: As a user I would very much appreciate it, if you could take over and update the package. I just submitted a request to orphan the package. You should be able to take care of the package once the request is through.

lewisbrown commented on 2020-07-19 07:45 (UTC)

This is now on v20.06. I'd say this has been abandoned for quite a while. I would consider taking over as maintainer. Let me know.

eazar001 commented on 2018-07-05 06:32 (UTC)

Thanks prash, that actually fixed my build issues.

prash commented on 2018-06-25 16:06 (UTC)

Please add "--with-csharp-compiler=mono" to ./configure options. The script autodetection fails otherwise, complaining that it can't use Microsoft's csharp on a posix system.

eazar001 commented on 2018-06-21 02:18 (UTC)

The make install is currently failing with Error 2